Subject: Re: bug#63726: time-machine without options does not get the latest commit

From: Simon Tournier <[email-masked]>
Date: Wed, 16 Aug 2023 15:51:23 +0200

Hi,

On Mon, 14 Aug 2023 at 12:13, Konrad Hinsen <[email-masked]> wrote:

>> Let me know what you think!

LGTM! :-)

> This looks good to me. In practice, I doubt anyone would use -q with
> time-machine, because it makes more sense to specify an explicit channel
> file every time. But for pull, I can well imaging using it in a
> reproducibility-oriented setting.

Well, I am also lacking imagination for “guix time-machine -q”. :-)

Moreover, the option precedence (commit, branch, channel file, etc.) is
never clear for me.  Hum, maybe I could check if it’s documented… ;-)

Cheers,
simon